from django.db import models

from django.contrib.auth.models import User
from django.db.models.signals import post_save
from django.dispatch import receiver
from django.conf import settings

def upload_to(instance, filename: str):
    return f"./profiles/static/avatars/{instance.pk}.{filename.split('.')[1]}"

# Create your models here.
class ProfileModel(models.Model):
    user = models.ForeignKey(User, on_delete=models.CASCADE)
    avatar_url = models.ImageField(upload_to=upload_to, default="../static/avatars/default.avif") #blank=True, null=True)

@receiver(post_save, sender=User)
def on_user_created(sender, instance, created, **kwargs):
    if created:
        profile: ProfileModel = ProfileModel.objects.create(pk = instance.pk, user = instance)
        profile.save()